Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am unable to get vmware workstation to work in Ubuntu 9.10. The same installer worked fine in 9.04. Installation is successful, but initialization is not. Does anybody know a fix?

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 9.10
Release:        9.10
Codename:       karmic

VMware-Workstation-for-Linux-64bit-6.5.1-126130.x86_64

I don't think my key will work for version 7, sadly. I have a free 365 day student evaluation license.

share|improve this question
    
Use VirtualBox: it's not worse from any point of view, and is FREE :) I also had problems when tried to install VMWare (used it while 'I WAS a PC'): it launched okay, but keyboard was not functioning at all :) –  kolypto Dec 1 '09 at 3:08
    
VirtualBox doesn't support paravirtualisation by the way –  Chopper3 Jan 1 '10 at 15:08
add comment

3 Answers

up vote 0 down vote accepted

I run VMWare Workstation on Ubuntu 9.10 Karmic. In order to get it to install I had to follow these directions which basically state:

[...] By default the installer would freeze at the “Configuring…” stage, never actually completing.

1) The first step consists in installing the program via terminal and suppressing the warnings otherwise eventually stucking the installer. [...]

chmod u+x VMware-Workstation-6.5.3-185404.i386.bundle
while true; do sudo killall -9
vmware-modconfig-console; sleep 1;

done in a separate terminal run:

sudo ./VMware-Workstation-6.5.3-185404.i386.bundle --ignore-errors

when the installer has finished, terminate the previous command (while true…) with a CTRL+C or simply close the terminal window.

vmware-modconfig --console --install-all

[...] The mouse automatically ungrabs outside an area of 640 x 480 (vga resolution) edit file /etc/vmware/bootstrap add at the bottom

VMWARE_USE_SHIPPED_GTK=force
share|improve this answer
add comment

WS 6.5.1 was released in November of 2008, before Ubuntu 9.10 was released so it definitely won't be supported. You should try upgrading to Workstation 6.5.4, which should be a free upgrade. According to this, WS 6.5.4 doesn't officially support Ubuntu 9.10 guests, but it is more likely to work than 6.5.1.

share|improve this answer
add comment

Which version of VMWare Workstation?

I have:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 9.10
Release:    9.10
Codename:   karmic

$uname -r
2.6.31-15-generic-pae

with VMWare (md5sum):

a4286d08c2b302f1d3a164dcdc36c884  VMware-Workstation-Full-7.0.0-203739.i386.bundle

working OK. I had problems with the last version of 6.5 on the 9.4 ubuntu.

share|improve this answer
    
I added some more info above. –  kzh Dec 1 '09 at 0:28
    
What is your "uname -r" output? –  davey Dec 1 '09 at 15:22
    
$ uname -r 2.6.31-15-generic –  kzh Dec 2 '09 at 2:52
    
Sorry, I should have asked about uname -a: $ uname -a Linux rover 2.6.31-15-generic-pae #50-Ubuntu SMP Tue Nov 10 16:12:10 UTC 2009 i686 GNU/Linux –  davey Dec 2 '09 at 12:37
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.